image:
  registry: docker.io
  repository: dbeaver/cloudbeaver
  tag: "26.0.1"
  pullPolicy: IfNotPresent

service:
  type: ClusterIP
  ports:
    http: 8978

ingress:
  enabled: true
  ingressClassName: "apisix"
  pathType: Prefix
  hostname: "{{ .Name }}.{{ .Domain }}"
  annotations:
    cert-manager.io/cluster-issuer: root-ca-issuer
    cert-manager.io/duration: 8760h
    cert-manager.io/renew-before: 720h
    k8s.apisix.apache.org/plugin-config-name: https-redirect
    k8s.apisix.apache.org/enable-websocket: "true"
  tls: true

persistence:
  enabled: true
  storageClass: ""
  mountPath: /opt/cloudbeaver/workspace
  accessModes:
    - ReadWriteOnce
  size: 5Gi

resources:
  requests:
    cpu: 500m
    memory: 512Mi
  limits:
    cpu: 750m
    memory: 768Mi

podSecurityContext:
  enabled: true
  fsGroup: 8978

containerSecurityContext:
  enabled: true
  runAsUser: 8978
  runAsGroup: 8978
  runAsNonRoot: true
  allowPrivilegeEscalation: false
  capabilities:
    drop: ["ALL"]